---
updatedAt: 2026-09-29T08:42:48.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get applicant notes

# Overview

Use this method to retrieve all the [notes](https://docs.sumsub.com/sumsub/docs/user-verification-check-results#notes) added to the applicant profile.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have either of the following [permissions](https://docs.sumsub.com/sumsub/docs/user-roles#permissions):

* **View applicant notes**
* **Manage applicant notes**

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/api/applicants/notes?applicantId=687fb2373fc85ad66b500000' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON file representing the `list` of notes with related metadata added to the applicant profile.

The following is the root-level argument:

| Field  | Type                       | Description                                           |
| :----- | :------------------------- | :---------------------------------------------------- |
| `list` | [Object](#list-attributes) | Includes data with `items`, `totalItems`, `pageInfo`. |

## `list` attributes

The following table explains the `list` attributes.

| Field        | Type                                      | Description                                                                |
| :----------- | :---------------------------------------- | :------------------------------------------------------------------------- |
| `items`      | [Array of objects](#items-element-fields) | Each item is an object that represents a note with its associated details. |
| `totalItems` | Integer                                   | Total number of the found notes.                                           |
| `pageInfo`   | [Object](#pageinfo-attributes)            | Applied limit and offset settings.                                         |

## `items` element fields

The following table explains the `items` element fields representing the note details.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`id`",
    "0-1": "String",
    "0-2": "Note identifier. You may need it in case you want to [edit a note](https://docs.sumsub.com/sumsub/reference/edit-applicant-note), [remove a note](https://docs.sumsub.com/sumsub/reference/remove-applicant-note), or [add an attachment](https://docs.sumsub.com/sumsub/reference/add-attachment-to-applicant-note).",
    "1-0": "`applicantId`",
    "1-1": "String",
    "1-2": "Unique applicant identifier in the Sumsub system (`applicantId`).  \n  \nThis identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side.",
    "2-0": "`note`",
    "2-1": "String",
    "2-2": "Text of the note.",
    "3-0": "`createdAt`",
    "3-1": "Date",
    "3-2": "Date and time when the note was added.",
    "4-0": "`createdBy`",
    "4-1": "String",
    "4-2": "Identifier of the note author.",
    "5-0": "`updatedAt`",
    "5-1": "Date",
    "5-2": "Date and time when the note was last updated.",
    "6-0": "`updatedBy`",
    "6-1": "String",
    "6-2": "Identifier of the author who last updated the note.",
    "7-0": "`tags`",
    "7-1": "Array of strings",
    "7-2": "Tags assigned to the note.",
    "8-0": "`attachments`",
    "8-1": "[Array of objects](#attachments-element-fields)",
    "8-2": "Contains information about attached files."
  },
  "cols": 3,
  "rows": 9,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `attachments` element fields

The following table explains the `attachments` element fields representing information about attached files.

| Field       | Type    | Description                               |
| :---------- | :------ | :---------------------------------------- |
| `id`        | String  | Identifier of the attached file.          |
| `fileName`  | String  | Name of the file.                         |
| `createdAt` | Date    | Date and time when the file was attached. |
| `createdBy` | String  | Identifier of the attachment author.      |
| `fileSize`  | Integer | Image file size (in bytes).               |

## `pageInfo` attributes

The following table explains the `pageInfo` attributes.

| Field    | Type    | Description                     |
| :------- | :------ | :------------------------------ |
| `limit`  | Integer | Applied to the response limit.  |
| `offset` | Integer | Applied to the response offset. |

# Response examples

If the request is sent and processed successfully, you will receive a response like the following:

```json
{
  "list": {
    "items": [
      {
        "id": "68938af6ac933039513fdd97",
        "applicantId": "687fb2373fc85ad66b500000",
        "note": "note example 1",
        "createdAt": "2025-08-06 17:03:50+0000",
        "createdBy": "example_user"
      },
      {
        "id": "6893925cff736e92c020acaa",
        "applicantId": "687fb2373fc85ad66b500000",
        "note": "note example 2",
        "createdAt": "2025-08-06 17:35:24+0000",
        "createdBy": "example_user",
        "tags": [
          "First tag",
          "Second tag"
        ]
      },
      {
        "id": "689326431a0a280674b311ca",
        "applicantId": "687fb2373fc85ad66b500000",
        "note": "note example 3",
        "createdAt": "2025-08-06 09:54:11+0000",
        "createdBy": "example_user",
        "tags": [
          "First tag",
          "Second tag"
        ],
        "attachments": [
          {
            "id": "6893a5c660e0659e03327608",
            "fileName": "example_image.png",
            "createdAt": "2025-08-06 18:58:14+0000",
            "createdBy": "example_user",
            "fileSize": 733158
          }
        ]
      }
    ],
    "totalItems": 3,
    "pageInfo": {
      "limit": 100,
      "offset": 0
    }
  }
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
   "code": 400,
   "description": "limit must be greater than zero",
   "correlationId": "955bce80ffb06f470d4bd7665f02f2df"
}
```

If no notes have been added to the applicant profile, the response returns an empty `items` array:

```json
{
  "list": {
    "items": [],
    "totalItems": 0,
    "pageInfo": {
      "limit": 100,
      "offset": 0
    }
  }
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/api/applicants/notes": {
      "get": {
        "summary": "Get applicant notes",
        "description": "",
        "operationId": "get-applicant-notes",
        "parameters": [
          {
            "name": "applicantId",
            "in": "query",
            "description": "Unique applicant identifier in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Offset of the notes to return.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of notes to return. The limit must be greater than `0`.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 100
            }
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```